> ## Documentation Index
> Fetch the complete documentation index at: https://docs.animusai.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get dataset status



## OpenAPI

````yaml api-reference/openapi.json get /{character_id}/dataset/status
openapi: 3.1.0
info:
  version: 2.0.0
  title: Animus API
  description: >-
    Animus' API provides you with a variety of AI-driven capabilities. From
    generating text with our advanced large language models to creating
    customized content schedules, our API's applications are vast and versatile.

    Whether it's facilitating seamless conversation through predictive response
    or simulating a comprehensive content calendar, our advanced functionalities
    can cater to an array of feature requirements.
servers:
  - url: https://api.animusai.co/v2
security: []
paths:
  /{character_id}/dataset/status:
    get:
      tags:
        - Character Dataset
      summary: Get dataset status
      operationId: getDatasetStatus
      parameters:
        - name: character_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Dataset status.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DatasetStatusResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    DatasetStatusResponse:
      type: object
      properties:
        character_id:
          type: string
        dataset_status:
          type: string
        current_step:
          type: integer
        total_images:
          type: integer
        approved_images:
          type: integer
        min_required:
          type: integer
        max_allowed:
          type: integer
        can_approve:
          type: boolean
        generation_complete:
          type: boolean
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````